:root {
 --bg:   #f0f2f7;;      /* հիմնական ֆոն */
  --surface: #f5f5f7;     /* քարտեր, բլոկներ */
  --text-primary: #2a2e3b;/* հիմնական տեքստ */
  --text-secondary: #d1d1e1;
  --border: #d2d2d7;
  --accent: #007aff;      /* action / link */
  --accent-hover: #005ecb;
}


[data-theme="dark"] {
  --bg: #0e1628;         
  --surface: #1c1c1e;
  --text-primary: #f5f5f7;
  --text-secondary: #a1a1a6;
  --border: #2c2c2e;
  --accent: #0a84ff;
  --accent-hover: #409cff;
}

body {
  background-color: var(--bg);
  color: var(--text);
  transition: background 0.3s, color 0.3s;
}
